Skip to main content

Individual Symbol Book Ticker Streams(Batch Aggregation)

Batch aggregation version. Pushes the best bid/ask information for the specified trading pair.

Subscribe

{
"method": "SUBSCRIPTION",
"params": [
"spot@public.bookTicker.batch.v3.api.pb@BTCUSDT"
]
}

Request Parameters spot@public.bookTicker.batch.v3.api.pb@<symbol>

Response Parameters

ParameterData TypeDescription
bidpricestringBest bid price
bidquantitystringBest bid quantity
askpricestringBest ask price
askquantitystringBest ask quantity
symbolstringTrading pair
sendtimelongEvent time
versionstringVersion number
lastOrderCreateTimelongLast order creation time

Sample data

{
"channel" : "spot@public.bookTicker.batch.v3.api.pb@BTCUSDT",
"symbol" : "BTCUSDT",
"sendTime" : "1778075380611",
"publicBookTickerBatch" : {
"items" : [ {
"bidPrice" : "100",
"bidQuantity" : "4",
"askPrice" : "",
"askQuantity" : ""
} ],
"version" : "10023",
"lastOrderCreateTime" : "1778075380572"
}
}